Get Warranties for Cart
1 min
GET
https://api.upstartcommerce.com/v1/cart/{customerId}/cart/warranties
Path Parameters
- customerIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringrequiredDescription
Responses
200
- CartWarrantiesDescription
- idstring<uuid>requiredExampleDescriptionFormatuuid
- offeredWarrantiesOfferedWarrantySku[]
- catalogItemIdstringrequiredDescription
- skuWarrantyItemSummaryrequired
- skuIdSkuItemIdrequired
- namestringrequired
- descriptionstringrequired
- termsAndConditionsTermsAndConditionsrequiredDescription
- DrupalTermsAndConditions
- resourceDrupalResourcerequiredDescription
- NidDrupalResource
- Max depth limit reached
- ResolvedDrupalResource
- Max depth limit reached
- typestring<DrupalTermsAndConditions>AllowedDrupalTermsAndConditions
- UrlTermsAndConditions
- urlstringrequiredDescription
- versioninteger<int32>DescriptionFormatint32
- validSincestring<date-time>DescriptionFormatdate-time
- typestring<UrlTermsAndConditions>AllowedUrlTermsAndConditions
- CloudinaryAsset
- Max depth limit reached
- dynamicPropertiesobject
- pricingPricingDescription
- pricenumberrequiredDescription
- currencystringrequiredExamplePattern^[A-Z]{3}$
- purchasablebooleanrequiredDefaulttrue
- disabledbooleanrequiredDefaultfalse
- typestring<warranty>Allowedwarranty
- targetItemIdsstring[]required
- pricenumberrequired
- currencystringExamplePattern^[A-Z]{3}$
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/cart/{customerId}/cart/warranties \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/cart/{customerId}/cart/warranties", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/cart/{customerId}/cart/warranties")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/cart/{customerId}/cart/warranties"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// .
{
"id": "5B3B51DF-5AE2-4ED0-A1BE-3332B48745F2",
"offeredWarranties": [
{
"catalogItemId": "",
"sku": {
"skuId": "",
"name": "",
"description": "",
"termsAndConditions": {},
"dynamicProperties": {},
"pricing": {
"price": 0,
"currency": "USD"
},
"purchasable": false,
"disabled": false,
"type": ""
},
"targetItemIds": [
""
],
"price": 0
}
],
"currency": "USD"
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}